Exception::__clone
ErrorException::__construct
Predefined Exceptions
PHP Manual

# ErrorException

## Introduction

An Error Exception.

## Class synopsis

ErrorException
ErrorException extends Exception {
/* Properties */
protected int $severity ;
/* Methods */
public __construct ([ string `$message` [, int `$code` [, int `$severity` [, string `$filename` [, int `$lineno` ]]]]] )
final public int getSeverity ( void )
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

severity

  The severity of the exception

## Examples

Example #1 Use set_error_handler() to change error messages into ErrorException.

`<?php
function exception_error_handler($errno, $errstr, $errfile, $errline ) {
throw new ErrorException($errstr, 0, $errno, $errfile, $errline);
}
set_error_handler("exception_error_handler");
/* Trigger exception */
strpos();
?>`

The above example will output something similar to:

    Fatal error: Uncaught exception 'ErrorException' with message 'Wrong parameter count for strpos()' in /home/bjori/tmp/ex.php:8
    Stack trace:
    #0 [internal function]: exception_error_handler(2, 'Wrong parameter...', '/home/bjori/php...', 8, Array)
    #1 /home/bjori/php/cleandocs/test.php(8): strpos()
    #2 {main}
      thrown in /home/bjori/tmp/ex.php on line 8

## Table of Contents

- ErrorException::__construct — Construct the exception
- ErrorException::getSeverity — Gets the exception severity

Exception::__clone
ErrorException::__construct
Predefined Exceptions
PHP Manual